package cn.superdesk.uniorder.dubbo.consumer.sys.logger;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.sys.logger.SysUserOperationLog;
import cn.superdesk.uniorder.dto.param.system.logger.SysUserOperationLogParam;
import cn.superdesk.uniorder.dto.param.system.logger.SysUserOperationLogQueryCriteria;
import cn.superdesk.uniorder.dubbo.facade.sys.logger.DubboSysUserOperationLogService;
import com.alibaba.dubbo.config.annotation.Reference;
import com.github.pagehelper.PageInfo;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

/**
 * @Description: 操作日志
 * @Author: linjinyu
 * @Email linjinyu@avic-s.com
 * @CreateDate: 2020-12-10 17:17:34
 * @UpdateUser: linjinyu
 * @UpdateDate: 2020-12-10 17:17:34
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Slf4j
@Component
public class SysUserOperationLogDubboConsumerService {

	@Reference(version = "1.0.0", timeout = 10000, retries = -1)
	private DubboSysUserOperationLogService dubboSysUserOperationLogService;


	/****************************************** extends BaseService 部分 start ******************************************/

	public void addObj(SysUserOperationLogParam param) {

		dubboSysUserOperationLogService.addObj(param);

	}

	public void updateObj(SysUserOperationLogParam param) {

		dubboSysUserOperationLogService.updateObj(param);
	}

	public void deleteObj(Long id) {

		dubboSysUserOperationLogService.deleteObj(id);
	}

	public SysUserOperationLog findById(Long id) {

		return dubboSysUserOperationLogService.findById(id);
	}

	public PageInfo<SysUserOperationLog> findByPaging(Map<String, Object> conditions, Integer pageNun, Integer pageSize) {

		return dubboSysUserOperationLogService.findByPaging(conditions, pageNun, pageSize);
	}

	public List<SysUserOperationLog> findAll(Map<String, Object> queryMap) {

		return dubboSysUserOperationLogService.findAll(queryMap);
	}

	/****************************************** extends BaseService 部分   end ******************************************/


	public void addSysUserOperationLog(SysUserOperationLogParam param) {

		dubboSysUserOperationLogService.addSysUserOperationLog(param);
	}


	public void updateSysUserOperationLog(SysUserOperationLogParam param) {

		dubboSysUserOperationLogService.updateSysUserOperationLog(param);
	}


	public void deleteSysUserOperationLog(Long id) {
		dubboSysUserOperationLogService.deleteSysUserOperationLog(id);
	}


	public SysUserOperationLog findSysUserOperationLogById(Long id) {

		return dubboSysUserOperationLogService.findSysUserOperationLogById(id);
	}


	public R<List<SysUserOperationLog>> pageQuery(Map<String, Object> conditions, int pageNun, int pageSize) {

		return dubboSysUserOperationLogService.pageQuery(conditions, pageNun, pageSize);
	}


	public R<List<SysUserOperationLog>> pageQueryGenericParam(SysUserOperationLogQueryCriteria queryCriteria) {

		return dubboSysUserOperationLogService.pageQueryGenericParam(queryCriteria);
	}
}